ortp::FecEncoder Class Reference

## Public Member Functions

| FecEncoder (FecParameters *parameters)
void | init (struct _RtpSession *fecSession, struct _RtpSession *sourceSession)
void | add (FecSourcePacket const &packet)
bool | isFull () const
void | reset (uint16_t nextSequenceNumber)
int | getCurrentColumn () const
bool | isColFull () const
int | getCurrentRow () const
bool | isRowFull () const
int | getRows () const
int | getColumns () const
int | getSize () const
const std::vector< std::shared_ptr< FecRepairPacket > > & | getRowRepair ()
mblk_t * | getRowRepairMblk (int i)
std::shared_ptr< FecRepairPacket > | getRowRepair (int i)
std::shared_ptr< FecRepairPacket > | getColRepair (int i)
const std::vector< std::shared_ptr< FecRepairPacket > > & | getColRepair ()
mblk_t * | getColRepairMblk (int i)

The documentation for this class was generated from the following file:

- fecstream.h